<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_birthdays.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_birthdays
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		global $db, $user, $template, $config;
		if (!isset($template->_rootref['BLOCK_BIRTHDAY_LIST']))
		{
			// Generate birthday list if required ...
			$birthday_list = '';
			if ($config['load_birthdays'] && $config['allow_birthdays'])
			{
				$now = getdate(time() + $user->timezone + $user->dst - date('Z'));
				$sql = 'SELECT user_id, username, user_colour, user_birthday
					FROM ' . USERS_TABLE . "
					WHERE user_birthday LIKE '" . $db->sql_escape(sprintf('%2d-%2d-', $now['mday'], $now['mon'])) . "%'
						AND user_type IN (" . USER_NORMAL . ', ' . USER_FOUNDER . ')';
				$result = $db->sql_query($sql);
			
				while ($row = $db->sql_fetchrow($result))
				{
					$birthday_list .= (($birthday_list != '') ? ', ' : '') . get_username_string('full', $row['user_id'], $row['username'], $row['user_colour']);
			
					if ($age = (int) substr($row['user_birthday'], -4))
					{
						$birthday_list .= ' (' . ($now['year'] - $age) . ')';
					}
				}
				$db->sql_freeresult($result);
			}
			$template->assign_vars(array(
				'BLOCK_BIRTHDAY_LIST'				=> $birthday_list,
				'S_DISPLAY_BIRTHDAY_LIST'			=> ($config['load_birthdays']) ? true : false,
				'BIRTHDAYS_MODE'					=> $mode,)
			);
		}
	}
}
?>