<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_downloads.php 10 2008-07-17 17:10:48Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_downloads
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		if ($mode == 'downloads')
		{
			global $db, $user, $auth, $template, $module_config;
			global $phpbb_root_path, $phpEx, $cache;
			$this->tpl_name = 'alphaportal/' . $mode;
			$user->add_lang('ap/' . $mode);
			$template->destroy_block_vars('download');

			if ($module_config['recent' . $id] == 0)
			{
				$sql_array = array(
					'SELECT'		=> 'a.attach_id, a.topic_id, a.poster_id, a.download_count, a.real_filename, a.attach_comment, a.filetime, a.filesize, e.group_id, t.forum_id, t.topic_title, u.user_id, u.username, u.user_colour',
					'FROM'			=> array(
						ATTACHMENTS_TABLE	=> 'a',
						EXTENSIONS_TABLE	=> 'e',
						TOPICS_TABLE		=> 't',
						USERS_TABLE			=> 'u',
					),
					'WHERE'			=> 'a.attach_id = ' . $module_config['topic' . $id] . ' AND
						t.topic_id = a.topic_id AND
						u.user_id = a.poster_id AND
						e.extension = a.extension',
					'ORDER_BY'		=> 'a.filetime DESC',
				);
				$sql = $db->sql_build_query('SELECT', $sql_array);
				$result = $db->sql_query($sql);
				$row = $db->sql_fetchrow($result);
				$db->sql_freeresult($result);
			}
			else
			{
				$sql_array = array(
					'SELECT'		=> 'a.attach_id, a.topic_id, a.poster_id, a.download_count, a.real_filename, a.attach_comment, a.extension, a.filetime, a.filesize, e.group_id, t.forum_id, t.topic_title, u.user_id, u.username, u.user_colour',
					'FROM'			=> array(
						ATTACHMENTS_TABLE	=> 'a',
						EXTENSIONS_TABLE	=> 'e',
						TOPICS_TABLE		=> 't',
						USERS_TABLE			=> 'u',
					),
					'WHERE'			=> 't.topic_id = a.topic_id AND
						u.user_id = a.poster_id AND
						e.extension = a.extension',
					'ORDER_BY'		=> 'a.filetime DESC',
				);
				$sql = $db->sql_build_query('SELECT', $sql_array);
				$result = $db->sql_query_limit($sql, 1);
				$row = $db->sql_fetchrow($result);
				$db->sql_freeresult($result);
			}

			$forum_permissions = ($row['forum_id'] == 0) ? true : $auth->acl_get('f_download', $row['forum_id']);

			if ($auth->acl_get('u_download') && $forum_permissions)
			{
				if ($row['download_count'] == 0)
				{
					$download_lang = $user->lang['DOWNLOAD_COUNT_NONE'];
				}
				elseif ($row['download_count'] == 1)
				{
					$download_lang = $user->lang['DOWNLOAD_COUNT'];
				}
				else
				{
					$download_lang = $user->lang['DOWNLOAD_COUNTS'];
				}
				$template->assign_block_vars('download', array(
					'POSTER'			=> get_username_string('full', $row['user_id'], $row['username'], $row['user_colour']),
					'FILENAME'			=> $row['real_filename'],
					'COMMENT'			=> $row['attach_comment'],
					'THUMBNAIL'			=> ($row['group_id'] == 1) ? '<a href="' . append_sid("{$phpbb_root_path}download/file.{$phpEx}?id=" . $row['attach_id']) . '"><img src="' . append_sid("{$phpbb_root_path}download/file.{$phpEx}=", 'id=' . $row['attach_id'] . '&amp;topic_id=1') . '" width="100%" /></a><br />' : '',
					'DOWNLOAD_LINK'		=> '<a href="' . append_sid("{$phpbb_root_path}download/file.{$phpEx}", 'id=' . $row['attach_id']) . '"><strong>' . $user->lang['DOWNLOAD_FILE'] . '</strong></a>',
					'TOPIC'				=> '<a href="' . append_sid("{$phpbb_root_path}viewtopic.{$phpEx}", 'f=' . $row['forum_id'] . '&amp;t=' . $row['topic_id']) . '"><strong>' . $row['topic_title'] . '</strong></a>',
					'DOWNLOAD_COUNT'	=> sprintf($download_lang, $row['download_count']),
					'FILESIZE'			=> get_formatted_filesize($row['filesize']),

					'FILETIME'			=> $user->format_date($row['filetime']),
					'LINK'				=> append_sid("{$phpbb_root_path}viewtopic.{$phpEx}", 'f=' . $row['forum_id'] . '&amp;t=' . $row['topic_id']),
				));

				$template->assign_vars(array(
					'S_CAN_VIEW_ATTACHMENT' => true,
				));
			}

		}
	}
}
?>