<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_menu.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_menu
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		if ($mode == 'menu')
		{
			global $db, $user, $auth, $template, $phpbb_root_path, $phpEx, $module_config, $config;
			$template_root = 'alphaportal/';
			$this->tpl_name = $template_root . $mode;
			$user->add_lang('ap/' . $mode);
			//$template->destroy_block_vars('forum_list');

			$p_module_id = request_var('p', 0);

			if (!isset($template->_tpldata['forum_list']))
			{
				include_once($phpbb_root_path . 'includes/functions_admin.' . $phpEx);
				$forum_ary = make_forum_select(false, false, false, false, true, true, true);
				foreach ($forum_ary as $forum)
				{
					preg_match_all('/&nbsp;/', $forum['padding'], $indent);
					$nbsp_count = sizeof($indent[0]);
					$template->assign_block_vars('forum_list', array(
						'U_FORUM'			=> append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . $forum['forum_id']),
						'FORUM_NAME'		=> $forum['forum_name'],
						'FORUM_PADDING'		=> ($nbsp_count * 5) + 10,
					));
				}
			}

			$repeat = 0;
			if (!isset($template->_tpldata['page_list']))
			{
				$module_array = $page_ids = $first_page = $page_array = array();

				$sql = 'SELECT module_langname, module_id, module_basename, module_mode, left_id, right_id, parent_id
					FROM ' . ALPHA_MODULES_TABLE . "
					WHERE module_enabled = 1
						AND parent_id <> 0
					ORDER BY left_id";
				$result = $db->sql_query($sql);
				$rowset = $db->sql_fetchrowset($result);

				foreach ($rowset as $row)
				{
					if ($row['module_basename'] == '' || $row['module_basename'] == 'pages' || $row['module_basename'] == 'links')
					{
						if ($row['parent_id'] == 6)
						{
							$module_array[$row['module_id']] = array();
							$module_location[$row['module_id']] = &$module_array[$row['module_id']];
						}
						else
						{
							$module_location[$row['parent_id']][$row['module_id']] = array();
							$module_location[$row['module_id']] = &$module_location[$row['parent_id']][$row['module_id']];
						}
	
						if ($row['module_basename'] == 'pages')
						{
							$page_ids[$row['module_id']] = $row['module_id'];
						}
						$module_info[$row['module_id']] = $row;
					}

					if ($row['module_basename'] <> '')
					{
						$module_info[$row['parent_id']]['has_modules'] = true;
					}
					$module_info[$row['parent_id']]['has_sub'] = true;
					/*else if ($row['module_basename'] == 'pages')
					{
						$page_ids[$row['module_id']] = $row['module_id'];
					}*/
				}

				$sql = 'SELECT page_id, title, in_menu
					FROM ' . ALPHA_PAGES_TABLE . '
					WHERE in_menu = 1
						AND ' . $db->sql_in_set('page_id', $page_ids, false, true);
				$result = $db->sql_query($sql);
				$page_rowset = $db->sql_fetchrowset($result);
				foreach ($page_rowset as $row)
				{
					$module_info[$row['page_id']]['in_menu'] = $row['in_menu'];
				}

				display_page_list($module_array, $module_info, $p_module_id);
			}

			$template->assign_vars(array(
				'U_ACP'					=> ($auth->acl_get('a_') && $user->data['is_registered']) ? append_sid("{$phpbb_root_path}adm/index.$phpEx", false, true, $user->session_id) : '',
				'U_CHAT'				=> append_sid("{$phpbb_root_path}chat.$phpEx"),
				'U_PORTAL'				=> append_sid("{$phpbb_root_path}portal.$phpEx"),
				'BULLET_REG'			=> '<img src="' . $phpbb_root_path . 'styles/' . $user->theme['imageset_path'] . '/imageset/bullet.gif" />',
				'BULLET_DOWN'			=> '<img src="' . $phpbb_root_path . 'styles/' . $user->theme['imageset_path'] . '/imageset/bullet_down.gif" />',
				'MENU_ID'				=> $id,
			));
		}
	}
}
?>