<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_pages.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_pages
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		if ($mode == 'pages' || $mode == 'welcome')
		{
			global $db, $template;
			global $config, $phpbb_root_path, $phpEx;

			$id = (int) $id;
			if (acl_module($id))
			{
				$no_display = false;
				$sql_array = array(
					'SELECT'	=> 'p.*, m.module_id',
					'FROM'		=> array(
						ALPHA_PAGES_TABLE		=> 'p',
						ALPHA_MODULES_TABLE		=> 'm',
					),
					'WHERE'		=> 'm.module_id = ' . $id . ' AND p.page_id = m.module_id',
				);
				$sql = $db->sql_build_query('SELECT', $sql_array);
				$result = $db->sql_query($sql);
				$row = $db->sql_fetchrow($result);
				$db->sql_freeresult($result);

				if (sizeof($row) == 1)
				{
					$no_display = true;
				}
				$content = generate_text_for_display($row['content'], $row['bbcode_uid'], $row['bbcode_bitfield'], $row['bbcode_options']);
				$style = ($row['style'] == 0) ? $config['alphaportal_default_template'] : $row['style'];
				$template->assign_vars(array(
					'TITLE'	 		=> $row['title'],
					'CONTENT'	 	=> $content,
					'U_PAGE'		=> append_sid("{$phpbb_root_path}pages.{$phpEx}", 'p=' . $row['page_id']),
					'S_NO_DISPLAY'	=> $no_display,
					'PAGE_STYLE'	=> $style,
				));
			}
			else
			{
				$template->assign_var('S_NO_DISPLAY', true);
			}
		}
	}
}
?>