<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_poll.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_poll
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		if ($mode == 'poll')
		{
			global $db, $user, $auth, $template, $module_config;
			global $config, $phpbb_root_path, $phpEx;
			$this->tpl_name = 'alphaportal/' . $mode;
			$user->add_lang('ap/' . $mode);

			/*$user_vote = 0;
			$sql = 'SELECT *
				FROM ' . POLL_VOTES_TABLE . "
				WHERE (vote_user_id = {$user['user_id']} OR vote_user_ip = '{$user->ip}') AND topic_id = {$module_config['poll' . $id]}";
			$result = $db->sql_query($sql);
			$votes = $db->sql_fetchrow($result);
			$db->sql_freeresult($result);

			$sql = 'SELECT *
				FROM ' . POLL_OPTIONS_TABLE . "
				WHERE topic_id = {$module_config['poll' . $id]}";
			$result = $db->sql_query($sql);
			while ($row = $db->sql_fetchrow($result))
			{
				$template->assign_block_vars('poll_options', array(
					'TITLE'				=> $row['poll_title'],
					'U_VIEW_POLL'		=> append_sid("{$phpbb_root_path}viewtopic.$phpEx", 't=' . $row['topic_id'] . '&f=' . $row['forum_id']),
					'S_VIEW_POLL'		=> ($auth->acl_get('f_read', $row['forum_id']) && ) ? true : false,
				));
			}
			$db->sql_freeresult($result);

			$sql = 'SELECT forum_id, poll_title, poll_start, poll_length, poll_max_votes, poll_vote_change
				FROM ' . TOPICS_TABLE . "
				WHERE topic_id = {$module_config['poll' . $id]}";
			$result = $db->sql_query($sql);
			$result = $db->sql_query($sql);
			$row = $db->sql_fetchrow($result);
			$db->sql_freeresult($result);

			if ($votes['vote_user_id'] == $user['user_id'] || $votes['vote_user_ip'] == $user->ip)
			{
				$user_vote = $votes['poll_option_id'];
				if ($row['poll_vote_change'] == 0)
				{
					$template->assign_var('S_DISPLAY_RESULTS', true);
				}
			}

			$template->assign_vars(array(
				'TITLE'				=> $row['poll_title'],
				'U_VIEW_POLL'		=> append_sid("{$phpbb_root_path}viewtopic.$phpEx", 't=' . $row['topic_id'] . '&f=' . $row['forum_id']),
				'S_VIEW_POLL'		=> ($auth->acl_get('f_read', $row['forum_id']) && !empty($row['poll_start'])) ? true : false,
				'S_CAN_VOTE'		=> ($auth->acl_get('f_vote', $row['forum_id']) && ($user_vote == 0 || $row['poll_vote_change'] == 1)) ? true : false,
				'S_MAX_VOTES'		=> ($row['poll_max_votes'] == 1) ? '' : $row['poll_max_votes'],
			));*/


			$CFG['poll_topic_id']		= $module_config['poll' . $id];
			$CFG['poll_topic'] 			= true;
			$forum_id_poll	= request_var('f', 0);
			$topic_id_poll	= request_var('t', $CFG['poll_topic_id']);
			// $post_id_poll	= request_var('p', 0);
			$voted_id_poll	= request_var('vote_id', array('' => 0));
			
			$start_poll		= request_var('start', 0);
			$view_poll		= request_var('view', '');
			
			$sort_days_poll	= request_var('st', ((!empty($user->data['user_post_show_days'])) ? $user->data['user_post_show_days'] : 0));
			$sort_key_poll	= request_var('sk', ((!empty($user->data['user_post_sortby_type'])) ? $user->data['user_post_sortby_type'] : 't'));
			$sort_dir_poll	= request_var('sd', ((!empty($user->data['user_post_sortby_dir'])) ? $user->data['user_post_sortby_dir'] : 'a'));
			
			$update_poll		= request_var('update', false);
			
			
			// Do we have a topic or post id?
			if (!$topic_id_poll && !$post_id_poll)
			{
				//	trigger_error('NO_TOPIC');
				$CFG['poll_topic'] = false; 
			}
			
			// Find topic id if user requested a newer or older topic
			if ($view_poll && !$post_id_poll)
			{
				if (!$forum_id_poll)
				{
					$sql = 'SELECT forum_id
						FROM ' . TOPICS_TABLE . "
						WHERE topic_id = $topic_id_poll";
					$result = $db->sql_query($sql);
					$forum_id_poll = (int) $db->sql_fetchfield('forum_id');
					$db->sql_freeresult($result);
			
					if (!$forum_id_poll)
					{
						trigger_error('NO_TOPIC');
					}
				}
			
				// Check for global announcement correctness?
				if ((!isset($row) || !$row['forum_id']) && !$forum_id_poll)
				{
					//trigger_error('NO_TOPIC');
					$CFG['poll_topic'] = false; 
				}
				else if (isset($row) && $row['forum_id'])
				{
					$forum_id_poll = $row['forum_id'];
				}
			}
			
			// This rather complex gaggle of code handles querying for topics but
			// also allows for direct linking to a post (and the calculation of which
			// page the post is on and the correct display of viewtopic)
			$sql_array = array(
				'SELECT'	=> 't.*, f.*',
			
				'FROM'		=> array(
					FORUMS_TABLE	=> 'f',
				)
			);
			
			if ($user->data['is_registered'])
			{
				$sql_array['SELECT'] .= ', tw.notify_status';
				$sql_array['LEFT_JOIN'] = array();
			
				$sql_array['LEFT_JOIN'][] = array(
					'FROM'	=> array(TOPICS_WATCH_TABLE => 'tw'),
					'ON'	=> 'tw.user_id = ' . $user->data['user_id'] . ' AND t.topic_id = tw.topic_id'
				);
			}
			
			if (!$post_id_poll)
			{
				$sql_array['WHERE'] = "t.topic_id = $topic_id_poll";
			}
			else
			{
				$sql_array['WHERE'] = "p.post_id = $post_id_poll AND t.topic_id = p.topic_id" . ((!$auth->acl_get('m_approve', $forum_id_poll)) ? ' AND p.post_approved = 1' : '');
				$sql_array['FROM'][POSTS_TABLE] = 'p';
			}
			
			$sql_array['WHERE'] .= ' AND (f.forum_id = t.forum_id';
			
			$sql_array['WHERE'] .= ')';
			$sql_array['FROM'][TOPICS_TABLE] = 't';
			
			// Join to forum table on topic forum_id unless topic forum_id is zero
			// whereupon we join on the forum_id passed as a parameter ... this
			// is done so navigation, forum name, etc. remain consistent with where
			// user clicked to view a global topic
			$sql = $db->sql_build_query('SELECT', $sql_array);
			$result = $db->sql_query($sql);
			$topic_data = $db->sql_fetchrow($result);
			$db->sql_freeresult($result);
			
			if (!$topic_data)
			{
				// If post_id was submitted, we try at least to display the topic as a last resort...
				if ($post_id_poll && $forum_id_poll && $topic_id_poll)
				{
					redirect(append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=$forum_id_poll&amp;t=$topic_id_poll"));
				}
			
				//trigger_error('NO_TOPIC');
				$CFG['poll_topic'] = false; 
			}
			
			$forum_id_poll = (int) $topic_data['forum_id'];
			$topic_id_poll = (int) $topic_data['topic_id'];
			
			
			
			// Setup look and feel
			$user->setup('viewtopic', $topic_data['forum_style']);
			
			if (!$topic_data['topic_approved'] && !$auth->acl_get('m_approve', $forum_id_poll))
			{
				//trigger_error('NO_TOPIC');
				$CFG['poll_topic'] = false; 
			}
			
			// Start auth check
			if (!$auth->acl_get('f_read', $forum_id_poll))
			{
				if ($user->data['user_id'] != ANONYMOUS)
				{
					//trigger_error('SORRY_AUTH_READ');
					$CFG['poll_topic'] = false;
				}
			
				//login_box('', $user->lang['LOGIN_VIEWFORUM']);
				$CFG['poll_topic'] = false; 
			}
			
			// Forum is passworded ... check whether access has been granted to this
			// user this session, if not show login box
			if ($topic_data['forum_password'])
			{
				login_forum_box($topic_data);
			}
			
			// Post ordering options
			$limit_days = array(0 => $user->lang['ALL_POSTS'], 1 => $user->lang['1_DAY'], 7 => $user->lang['7_DAYS'], 14 => $user->lang['2_WEEKS'], 30 => $user->lang['1_MONTH'], 90 => $user->lang['3_MONTHS'], 180 => $user->lang['6_MONTHS'], 365 => $user->lang['1_YEAR']);
			
			$sort_by_text = array('a' => $user->lang['AUTHOR'], 't' => $user->lang['POST_TIME'], 's' => $user->lang['SUBJECT']);
			$s_limit_days = $s_sort_key = $s_sort_dir = $u_sort_param = '';
			gen_sort_selects($limit_days, $sort_by_text, $sort_days_poll, $sort_key_poll, $sort_dir_poll, $s_limit_days, $s_sort_key, $s_sort_dir, $u_sort_param);
			
			
			// General Viewtopic URL for return links
			$view_polltopic_url = append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=$forum_id_poll&amp;t=$topic_id_poll&amp;start=$start_poll&amp;$u_sort_param");
			
			// Does this topic contain a poll?
			if (!empty($topic_data['poll_start']))
			{
				$sql = 'SELECT o.*, p.bbcode_bitfield, p.bbcode_uid
					FROM ' . POLL_OPTIONS_TABLE . ' o, ' . POSTS_TABLE . " p
					WHERE o.topic_id = $topic_id_poll
						AND p.post_id = {$topic_data['topic_first_post_id']}
						AND p.topic_id = o.topic_id
					ORDER BY o.poll_option_id";
				$result = $db->sql_query($sql);
			
				$poll_info = $db->sql_fetchrowset($result);
			
				$cur_voted_id = array();
				if ($user->data['is_registered'])
				{
					$sql = 'SELECT poll_option_id
						FROM ' . POLL_VOTES_TABLE . '
						WHERE topic_id = ' . $topic_id_poll . '
							AND vote_user_id = ' . $user->data['user_id'];
					$result = $db->sql_query($sql);
					$cur_voted_id = $db->sql_fetchrowset($result);
				}
				else
				{
					// Cookie based guest tracking ... I don't like this but hum ho
					// it's oft requested. This relies on "nice" users who don't feel
					// the need to delete cookies to mess with results.
					if (isset($_COOKIE[$config['cookie_name'] . '_poll_' . $topic_id_poll]))
					{
						$cur_voted_id = explode(',', $_COOKIE[$config['cookie_name'] . '_poll_' . $topic_id_poll]);
						$cur_voted_id = array_map('intval', $cur_voted_id);
					}
				}
			
				$s_can_vote = (((!sizeof($cur_voted_id) && $auth->acl_get('f_vote', $forum_id_poll)) ||
					($auth->acl_get('f_votechg', $forum_id_poll) && $topic_data['poll_vote_change'])) &&
					(($topic_data['poll_length'] != 0 && $topic_data['poll_start'] + $topic_data['poll_length'] > time()) || $topic_data['poll_length'] == 0) &&
					$topic_data['topic_status'] != ITEM_LOCKED &&
					$topic_data['forum_status'] != ITEM_LOCKED) ? true : false;
				$s_display_results = (!$s_can_vote || ($s_can_vote && sizeof($cur_voted_id)) || $view_poll == 'viewpoll') ? true : false;
			
				if ($update_poll && $s_can_vote)
				{
					if (!sizeof($voted_id_poll) || sizeof($voted_id_poll) > $topic_data['poll_max_options'])
					{
						$redirect_url = append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=$forum_id_poll&amp;t=$topic_id_poll");
			
						meta_refresh(5, $redirect_url);
			
						$message = (!sizeof($voted_id_poll)) ? 'NO_VOTE_OPTION' : 'TOO_MANY_VOTE_OPTIONS';
						$message = $user->lang[$message] . '<br /><br />' . sprintf($user->lang['RETURN_TOPIC'], '<a href="' . $redirect_url . '">', '</a>');
						trigger_error($message);
					}
			
					foreach ($voted_id_poll as $option)
					{
						if (in_array($option, $cur_voted_id))
						{
							continue;
						}
			
						$sql = 'UPDATE ' . POLL_OPTIONS_TABLE . '
							SET poll_option_total = poll_option_total + 1
							WHERE poll_option_id = ' . (int) $option . '
								AND topic_id = ' . (int) $topic_id_poll;
						$db->sql_query($sql);
			
						if ($user->data['is_registered'])
						{
							$sql_ary = array(
								'topic_id'			=> (int) $topic_id_poll,
								'poll_option_id'	=> (int) $option,
								'vote_user_id'		=> (int) $user->data['user_id'],
								'vote_user_ip'		=> (string) $user->ip,
							);
			
							$sql = 'INSERT INTO  ' . POLL_VOTES_TABLE . ' ' . $db->sql_build_array('INSERT', $sql_ary);
							$db->sql_query($sql);
						}
					}
			
					foreach ($cur_voted_id as $option)
					{
						if (!in_array($option, $voted_id_poll))
						{
							$sql = 'UPDATE ' . POLL_OPTIONS_TABLE . '
								SET poll_option_total = poll_option_total - 1
								WHERE poll_option_id = ' . (int) $option . '
									AND topic_id = ' . (int) $topic_id_poll;
							$db->sql_query($sql);
			
							if ($user->data['is_registered'])
							{
								$sql = 'DELETE FROM ' . POLL_VOTES_TABLE . '
									WHERE topic_id = ' . (int) $topic_id_poll . '
										AND poll_option_id = ' . (int) $option . '
										AND vote_user_id = ' . (int) $user->data['user_id'];
								$db->sql_query($sql);
							}
						}
					}
			
					if ($user->data['user_id'] == ANONYMOUS && !$user->data['is_bot'])
					{
						$user->set_cookie('poll_' . $topic_id_poll, implode(',', $voted_id_poll), time() + 31536000);
					}
			
					$sql = 'UPDATE ' . TOPICS_TABLE . '
						SET poll_last_vote = ' . time() . "
						WHERE topic_id = $topic_id_poll";
					//, topic_last_post_time = ' . time() . " -- for bumping topics with new votes, ignore for now
					$db->sql_query($sql);
			
					$redirect_url = append_sid("{$phpbb_root_path}viewtopic.$phpEx", "f=$forum_id_poll&amp;t=$topic_id_poll");
			
					meta_refresh(5, $redirect_url);
					trigger_error($user->lang['VOTE_SUBMITTED'] . '<br /><br />' . sprintf($user->lang['RETURN_TOPIC'], '<a href="' . $redirect_url . '">', '</a>'));
				}
			
				$poll_total = 0;
				foreach ($poll_info as $poll_option)
				{
					$poll_total += $poll_option['poll_option_total'];
				}
			
				$poll_uid = $poll_bitfield = '';
				if (isset($poll_info[0]['bbcode_bitfield']))
				{
					$poll_bitfield = $poll_info[0]['bbcode_bitfield'];
					$poll_uid = $poll_info[0]['bbcode_uid'];
				}
				$poll_info_size = sizeof($poll_info);
				for ($i = 0, $size = $poll_info_size; $i < $size; $i++)
				{
					if ($poll_uid)
					{
						generate_text_for_display($poll_info[$i]['poll_option_text'], $poll_uid, $poll_bitfield, $row['bbcode_options']);
					}
				}
			
				$topic_data['poll_title'] = censor_text($topic_data['poll_title']);
				$topic_data['poll_title'] = str_replace("\n", '<br />', $topic_data['poll_title']);
			
				if ($poll_uid)
				{
					generate_text_for_display($poll_info[$i]['poll_option_text'], $poll_uid, $poll_bitfield, $row['bbcode_options']);
				}

				global $poll_array;
				if (!$poll_array)
				{
					foreach ($poll_info as $poll_option)
					{
						$option_pct = ($poll_total > 0) ? $poll_option['poll_option_total'] / $poll_total : 0;
						$option_pct_txt = sprintf("%.1d%%", ($option_pct * 100));
			
						$poll_array = $template->assign_block_vars('block_poll_option', array(
							'POLL_OPTION_ID' 		=> $poll_option['poll_option_id'],
							'POLL_OPTION_CAPTION' 	=> $poll_option['poll_option_text'],
							'POLL_OPTION_RESULT' 	=> $poll_option['poll_option_total'],
							'POLL_OPTION_PERCENT' 	=> $option_pct_txt,
							'POLL_OPTION_PCT'		=> round($option_pct * 100),
							'POLL_OPTION_IMG' 		=> $user->img('poll_center', $option_pct_txt, round($option_pct * 10)),
							'POLL_OPTION_VOTED'		=> (in_array($poll_option['poll_option_id'], $cur_voted_id)) ? true : false)
						);
					}
				}
			
				$poll_end = $topic_data['poll_length'] + $topic_data['poll_start'];
			
				$template->assign_vars(array(
					'POLL_QUESTION'		=> $topic_data['poll_title'],
					'TOTAL_VOTES' 		=> $poll_total,
					'POLL_LEFT_CAP_IMG'	=> $user->img('poll_left'),
					'POLL_RIGHT_CAP_IMG'=> $user->img('poll_right'),
			
					'S_MAX_VOTES'		=> ($topic_data['poll_max_options'] == 1) ? $user->lang['MAX_OPTION_SELECT'] : sprintf($user->lang['MAX_OPTIONS_SELECT'], $topic_data['poll_max_options']),
					'S_POLL_LENGTH'		=> ($topic_data['poll_length']) ? sprintf($user->lang[($poll_end > time()) ? 'POLL_RUN_TILL' : 'POLL_ENDED_AT'], $user->format_date($poll_end)) : '',
			
					'S_HAS_POLL'		=> true,
					'S_CAN_VOTE'		=> $s_can_vote,
					'S_DISPLAY_RESULTS'	=> $s_display_results,
					'S_IS_MULTI_CHOICE'	=> ($topic_data['poll_max_options'] > 1) ? true : false,
					'S_POLL_ACTION'		=> $view_polltopic_url,
			
					'U_VIEW_RESULTS'	=> $view_polltopic_url . '&amp;view=viewpoll')
				);
			
				unset($poll_end, $poll_info, $voted_id_poll);
			}
		}
	}
}
?>