<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_recent_posts.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_recent_posts
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		global $db, $user, $template, $module_config, $phpbb_root_path, $phpEx, $config, $auth, $cache;
		$template_root = 'alphaportal/';
		$this->tpl_name = $template_root . $mode;
		$user->add_lang('ap/recent_posts');
		$user->add_lang('viewforum');

		if ($mode == 'recent_blogs')
		{
			$template->destroy_block_vars('recent_blogs');

			if ($module_config['type' . $id] == 1)
			{
				$sql = 'SELECT *
					FROM ' . ALPHA_BLOG_POSTS_TABLE . '
					WHERE poster_id = ' . $module_config['user' . $id] . '
					ORDER BY post_time DESC';
			}
			else if ($module_config['type' . $id] == 2)
			{
				$sql_array = array(
					'SELECT'	=> 'p.*',
					'FROM'		=> array(
						ALPHA_BLOG_POSTS_TABLE			=> 'p',
						ALPHA_BLOG_POST_LABELS_TABLE	=> 'pl',
					),
					'WHERE'		=> 'p.blog_id = pl.blog_id AND pl.label_id = ' . $module_config['label' . $id],
					'ORDER_BY'	=> 'p.post_time DESC'
				);
				$sql = $db->sql_build_query('SELECT', $sql_array);
			}
			else
			{
				$sql = 'SELECT *
					FROM ' . ALPHA_BLOG_POSTS_TABLE . '
					ORDER BY post_time DESC';
			}
			$result = $db->sql_query_limit($sql, $module_config['number' . $id]);
			while ($row = $db->sql_fetchrow($result))
			{
				$template->assign_block_vars('recent_blogs', array(
					'BLOG_ID'			=> $row['blog_id'],
					'TITLE'				=> $row['subject'],
					'U_VIEW_BLOG'		=> append_sid($phpbb_root_path . 'blog.' . $phpEx, 'b=' . $row['blog_id']),
				));
			}
			$db->sql_freeresult($result);
		}
		else
		{
			$template->destroy_block_vars('recent_posts');
			$template->assign_var('RECENT_POSTS_STYLE', $module_config['style' . $id]);
			if ($module_config['style' . $id] == 1)
			{
				if ($mode == 'recent_announce')
				{
					$template->assign_vars(array(
						'L_RECENT_POSTS_TITLE'		=> $user->lang['RECENT_ANNOUNCE'],
						'L_NO_RECENT_POSTS'			=> $user->lang['NO_RECENT_ANNOUNCE'],
					));
					if ($module_config['forum' . $id] == '' || $module_config['forum' . $id] == 0)
					{
						$forums_announce = '';
					}
					else
					{
						$forums_announce = 'AND forum_id = ' . $module_config['forum' . $id];
					}
					$post_number = 0;
					$sql = 'SELECT topic_title, forum_id, topic_id, topic_last_post_id
						FROM ' . TOPICS_TABLE . '
						WHERE topic_status <> ' . ITEM_MOVED . ' AND
							topic_approved = 1 AND
							( topic_type = ' . POST_ANNOUNCE . ' OR topic_type = ' . POST_GLOBAL . ' ) '
							 . $forums_announce . '
						ORDER BY topic_last_post_time DESC';
				}
				elseif ($mode == 'recent_topics')
				{
					$template->assign_vars(array(
						'L_RECENT_POSTS_TITLE'		=> $user->lang['RECENT_TOPICS'],
						'L_NO_RECENT_POSTS'			=> $user->lang['NO_RECENT_TOPICS'],
					));
					if ($module_config['forum' . $id] == '' || $module_config['forum' . $id] == 0)
					{
						$forums_topic = '';
					}
					else
					{
						$forums_topic = 'AND forum_id = ' . $module_config['forum' . $id];
					}
					$post_number = 0;
					$sql = 'SELECT topic_title, forum_id, topic_id, topic_last_post_id
						FROM ' . TOPICS_TABLE . '
						WHERE topic_approved = 1 '
						 . $forums_topic . '
						ORDER BY topic_last_post_time DESC';
				}
				elseif ($mode == 'recent_hot')
				{
					$template->assign_vars(array(
						'L_RECENT_POSTS_TITLE'		=> $user->lang['RECENT_HOT'],
						'L_NO_RECENT_POSTS'			=> $user->lang['NO_RECENT_HOT'],
					));
					if ($module_config['forum' . $id] == '' || $module_config['forum' . $id] == 0)
					{
						$forums_hot = '';
					}
					else
					{
						$forums_hot = 'AND forum_id = ' . $module_config['forum' . $id];
					}
					
					$hot = $config['hot_threshold'];
					$post_number = 0;
					$sql = 'SELECT topic_title, forum_id, topic_id, topic_last_post_id
						FROM ' . TOPICS_TABLE . '
						WHERE topic_approved = 1 AND
							topic_replies >= ' . $hot . ' '
							 . $forums_hot . '
						ORDER BY topic_last_post_time DESC';
				}
				$result = $db->sql_query($sql);
				while($row = $db->sql_fetchrow($result) && $row['topic_title'] != '' && $post_number < $module_config['number' . $id])
				{
					if ($auth->acl_get('f_list', $row['forum_id']))
					{
						$infos = 'f=' . $row['forum_id'] . '&amp;t=' . $row['topic_id'] . '&#35;p' . $row['topic_last_post_id'];
						$template->assign_block_vars('recent_posts', array(
							'TITLE'	 		=> censor_text($row['topic_title']),
							'U_VIEW_TOPIC'	=> append_sid("{$phpbb_root_path}viewtopic.$phpEx", $infos)
						));
						$post_number++;
					}
				}
			}
			else
			{
				if (!function_exists('display_forums'))
				{
					include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
				}
				$template->assign_vars(array(
					'NEWEST_POST_IMG'			=> $user->img('icon_topic_newest', 'VIEW_NEWEST_POST'),
					'LAST_POST_IMG'				=> $user->img('icon_topic_latest', 'VIEW_LATEST_POST'),
					'FOLDER_IMG'				=> $user->img('topic_read', 'NO_NEW_POSTS'),
					'FOLDER_NEW_IMG'			=> $user->img('topic_unread', 'NEW_POSTS'),
					'FOLDER_HOT_IMG'			=> $user->img('topic_read_hot', 'NO_NEW_POSTS_HOT'),
					'FOLDER_HOT_NEW_IMG'		=> $user->img('topic_unread_hot', 'NEW_POSTS_HOT'),
					'FOLDER_LOCKED_IMG'			=> $user->img('topic_read_locked', 'NO_NEW_POSTS_LOCKED'),
					'FOLDER_LOCKED_NEW_IMG'		=> $user->img('topic_unread_locked', 'NEW_POSTS_LOCKED'),
					'FOLDER_STICKY_IMG'			=> $user->img('sticky_read', 'POST_STICKY'),
					'FOLDER_STICKY_NEW_IMG'		=> $user->img('sticky_unread', 'POST_STICKY'),
					'FOLDER_ANNOUNCE_IMG'		=> $user->img('announce_read', 'POST_ANNOUNCEMENT'),
					'FOLDER_ANNOUNCE_NEW_IMG'	=> $user->img('announce_unread', 'POST_ANNOUNCEMENT'),
					'FOLDER_MOVED_IMG'			=> $user->img('topic_moved', 'TOPIC_MOVED'),
					'REPORTED_IMG'				=> $user->img('icon_topic_reported', 'TOPIC_REPORTED'),
					'UNAPPROVED_IMG'			=> $user->img('icon_topic_unapproved', 'TOPIC_UNAPPROVED'),
					'GOTO_PAGE_IMG'				=> $user->img('icon_post_target', 'GOTO_PAGE'),
					'S_EXTRA'					=> ($module_config['extra' . $id] == 1) ? true : false,
				));
				if ($mode == 'recent_announce')
				{
					$template->assign_vars(array(
						'L_RECENT_POSTS_TITLE'		=> $user->lang['RECENT_ANNOUNCE'],
						'L_NO_RECENT_POSTS'			=> $user->lang['NO_RECENT_ANNOUNCE'],
					));
					$template->destroy_block_vars('latest_announcements');
					if ($module_config['forum' . $id] == '' || $module_config['forum' . $id] == 0)
					{
						$forums_announce = '';
					}
					else
					{
						$forums_announce = ' AND t.forum_id = ' . $module_config['forum' . $id];
					}
					$post_number = 0;
					$sql_array = array(
						'SELECT'	=> 't.*, f.forum_name, tt.mark_time, tp.topic_posted',
						'FROM'		=> array(
							TOPICS_TABLE			=> 't',
							FORUMS_TABLE			=> 'f',
						),
						'LEFT_JOIN'	=> array(
							array(
								'FROM'		=> array(TOPICS_TRACK_TABLE		=> 'tt'),
								'ON'	=> 't.topic_id = tt.topic_id AND tt.user_id = ' . $user->data['user_id'],
							),
							array(
								'FROM'		=> array(TOPICS_POSTED_TABLE		=> 'tp'),
								'ON'	=> 't.topic_id = tp.topic_id AND tp.user_id = ' . $user->data['user_id'],
							),
						),
						'WHERE'		=> 't.topic_approved = 1 AND f.forum_id = t.forum_id AND t.topic_status <> ' . ITEM_MOVED . ' AND (topic_type = ' . POST_ANNOUNCE . ' OR topic_type = ' . POST_GLOBAL . ')' . $forums_announce,
						'ORDER_BY'	=> 't.topic_last_post_time DESC',
					);
				}
				elseif ($mode == 'recent_topics')
				{
					$template->assign_vars(array(
						'L_RECENT_POSTS_TITLE'		=> $user->lang['RECENT_TOPICS'],
						'L_NO_RECENT_POSTS'			=> $user->lang['NO_RECENT_TOPICS'],
					));
					$template->destroy_block_vars('latest_topics');
					if ($module_config['forum' . $id] == '' || $module_config['forum' . $id] == 0)
					{
						$forums_topic = '';
					}
					else
					{
						$forums_topic = ' AND t.forum_id = ' . $module_config['forum' . $id];
					}
					$post_number = 0;
					$sql_array = array(
						'SELECT'	=> 't.*, f.forum_name, tt.mark_time, tp.topic_posted',
						'FROM'		=> array(
							TOPICS_TABLE			=> 't',
							FORUMS_TABLE			=> 'f',
						),
						'LEFT_JOIN'	=> array(
							array(
								'FROM'		=> array(TOPICS_TRACK_TABLE		=> 'tt'),
								'ON'	=> 't.topic_id = tt.topic_id AND tt.user_id = ' . $user->data['user_id'],
							),
							array(
								'FROM'		=> array(TOPICS_POSTED_TABLE		=> 'tp'),
								'ON'	=> 't.topic_id = tp.topic_id AND tp.user_id = ' . $user->data['user_id'],
							),
						),
						'WHERE'		=> 't.topic_approved = 1 AND f.forum_id = t.forum_id' . $forums_topic,
						'ORDER_BY'	=> 't.topic_last_post_time DESC',
					);
				}
				elseif ($mode == 'recent_hot')
				{
					$template->destroy_block_vars('latest_hot_topics');
					if ($module_config['forum' . $id] == '' || $module_config['forum' . $id] == 0)
					{
						$forums_hot = '';
					}
					else
					{
						$forums_hot = ' AND t.forum_id = ' . $module_config['forum' . $id];
					}
					$post_number = 0;
					$hot = $config['hot_threshold'];
					$sql_array = array(
						'SELECT'	=> 't.*, f.forum_name, tt.mark_time, tp.topic_posted',
						'FROM'		=> array(
							TOPICS_TABLE			=> 't',
							FORUMS_TABLE			=> 'f',
						),
						'LEFT_JOIN'	=> array(
							array(
								'FROM'		=> array(TOPICS_TRACK_TABLE		=> 'tt'),
								'ON'	=> 't.topic_id = tt.topic_id AND tt.user_id = ' . $user->data['user_id'],
							),
							array(
								'FROM'		=> array(TOPICS_POSTED_TABLE		=> 'tp'),
								'ON'	=> 't.topic_id = tp.topic_id AND tp.user_id = ' . $user->data['user_id'],
							),
						),
						'WHERE'		=> 't.topic_approved = 1 AND f.forum_id = t.forum_id AND topic_replies >= ' . $hot . '' . $forums_hot,
						'ORDER_BY'	=> 't.topic_last_post_time DESC',
					);
				}
				$sql = $db->sql_build_query('SELECT', $sql_array);
				$result = $db->sql_query($sql);
				$rowset = $db->sql_fetchrowset($result);
				$topics = $topics_forum = array();
				$topic_tracking_info = $cache->get('alpha_recent_posts_topic_tracking_info');
				foreach ($rowset as $topic)
				{
					$topics[] = $topic['topic_id'];
				}
				if ($module_config['forum' . $id] == 0)
				{
					foreach ($rowset as $forum)
					{
						if (!isset($topic_tracking_info[$forum['forum_id']][$forum['topic_id']]))
						{
							$topic_tracking_info[$forum['forum_id']] = get_complete_topic_tracking($forum['forum_id'], $topics);
						}
					}
				}
				elseif (!isset($topic_tracking_info[$rowset[0]['forum_id']]))
				{
					$topic_tracking_info[$rowset[0]['forum_id']] = get_complete_topic_tracking($rowset[0]['forum_id'], $topics);
				}
				$cache->put('alpha_recent_posts_topic_tracking_info', $topic_tracking_info, 300);
				foreach ($rowset as $row)
				{
					if ($auth->acl_get('f_list', $row['forum_id']) && $post_number < $module_config['number' . $id])
					{
						$replies = ($auth->acl_get('m_approve', $row['forum_id'])) ? $row['topic_replies_real'] : $row['topic_replies'];
						if ($row['topic_status'] == ITEM_MOVED)
						{
							$topic_id = $row['topic_moved_id'];
							$unread_topic = false;
						}
						else
						{
							if (isset($topic_tracking_info[$row['forum_id']][$row['topic_id']]))
							{
								$unread_topic = ($row['topic_last_post_time'] > $topic_tracking_info[$row['forum_id']][$row['topic_id']]) ? true : false;
							}
							else
							{
								foreach ($rowset as $topic)
								{
									if ($row['forum_id'] == $topic['forum_id'])
									{
										$topics[] = $topic['topic_id'];
									}
								}
								$topic_tracking_info[$row['forum_id']] = get_complete_topic_tracking($row['forum_id'], $topics);
								$cache->put('alpha_recent_posts_topic_tracking_info', $topic_tracking_info);
								$unread_topic = ($row['topic_last_post_time'] > $topic_tracking_info[$row['forum_id']][$row['topic_id']]) ? true : false;
							}
						}
						// Get folder img, topic status/type related information
						$folder_img = $folder_alt = $topic_type = '';
						topic_status($row, $replies, $unread_topic, $folder_img, $folder_alt, $topic_type);
		
						// Generate all the URIs ...
						$view_topic_url = append_sid("{$phpbb_root_path}viewtopic.$phpEx", 'f=' . $row['forum_id'] . '&amp;t=' . $row['topic_id']);
		
						$topic_unapproved = (!$row['topic_approved'] && $auth->acl_get('m_approve', $forum_id)) ? true : false;
						$posts_unapproved = ($row['topic_approved'] && $row['topic_replies'] < $row['topic_replies_real'] && $auth->acl_get('m_approve', $forum_id)) ? true : false;
		
						$template->assign_block_vars('recent_posts', array(
							'TOPIC_AUTHOR'				=> get_username_string('username', $row['topic_poster'], $row['topic_first_poster_name'], $row['topic_first_poster_colour']),
							'TOPIC_AUTHOR_COLOUR'		=> get_username_string('colour', $row['topic_poster'], $row['topic_first_poster_name'], $row['topic_first_poster_colour']),
							'TOPIC_AUTHOR_FULL'			=> get_username_string('full', $row['topic_poster'], $row['topic_first_poster_name'], $row['topic_first_poster_colour']),
							'FIRST_POST_TIME'			=> $user->format_date($row['topic_time']),
							'LAST_POST_SUBJECT'			=> censor_text($row['topic_last_post_subject']),
							'LAST_POST_TIME'			=> $user->format_date($row['topic_last_post_time']),
							'LAST_VIEW_TIME'			=> $user->format_date($row['topic_last_view_time']),
							'LAST_POST_AUTHOR'			=> get_username_string('username', $row['topic_last_poster_id'], $row['topic_last_poster_name'], $row['topic_last_poster_colour']),
							'LAST_POST_AUTHOR_COLOUR'	=> get_username_string('colour', $row['topic_last_poster_id'], $row['topic_last_poster_name'], $row['topic_last_poster_colour']),
							'LAST_POST_AUTHOR_FULL'		=> get_username_string('full', $row['topic_last_poster_id'], $row['topic_last_poster_name'], $row['topic_last_poster_colour']),

							'PAGINATION'		=> topic_generate_pagination($replies, $view_topic_url),
							'REPLIES'			=> $replies,
							'VIEWS'				=> $row['topic_views'],
							'TOPIC_TITLE'		=> censor_text($row['topic_title']),
							'TOPIC_TYPE'		=> $topic_type,
							'FORUM_NAME'		=> $row['forum_name'],

							'TOPIC_FOLDER_IMG'		=> $user->img($folder_img, $folder_alt),
							'TOPIC_FOLDER_IMG_SRC'	=> $user->img($folder_img, $folder_alt, false, '', 'src'),
							'TOPIC_FOLDER_IMG_ALT'	=> $user->lang[$folder_alt],
							'TOPIC_ICON_IMG'		=> (!empty($icons[$row['icon_id']])) ? $icons[$row['icon_id']]['img'] : '',
							'TOPIC_ICON_IMG_WIDTH'	=> (!empty($icons[$row['icon_id']])) ? $icons[$row['icon_id']]['width'] : '',
							'TOPIC_ICON_IMG_HEIGHT'	=> (!empty($icons[$row['icon_id']])) ? $icons[$row['icon_id']]['height'] : '',
							'ATTACH_ICON_IMG'		=> ($auth->acl_get('u_download') && $auth->acl_get('f_download', $row['forum_id']) && $row['topic_attachment']) ? $user->img('icon_topic_attach', $user->lang['TOTAL_ATTACHMENTS']) : '',
							'UNAPPROVED_IMG'		=> ($topic_unapproved || $posts_unapproved) ? $user->img('icon_topic_unapproved', ($topic_unapproved) ? 'TOPIC_UNAPPROVED' : 'POSTS_UNAPPROVED') : '',

							'S_TOPIC_TYPE'			=> $row['topic_type'],
							'S_USER_POSTED'			=> (isset($row['topic_posted']) && $row['topic_posted']) ? true : false,
							'S_UNREAD_TOPIC'		=> $unread_topic,
							'S_TOPIC_REPORTED'		=> (!empty($row['topic_reported']) && $auth->acl_get('m_report', $forum_id)) ? true : false,
							'S_TOPIC_UNAPPROVED'	=> $topic_unapproved,
							'S_POSTS_UNAPPROVED'	=> $posts_unapproved,
							'S_HAS_POLL'			=> ($row['poll_start']) ? true : false,
							'S_POST_ANNOUNCE'		=> ($row['topic_type'] == POST_ANNOUNCE) ? true : false,
							'S_POST_GLOBAL'			=> ($row['topic_type'] == POST_GLOBAL) ? true : false,
							'S_POST_STICKY'			=> ($row['topic_type'] == POST_STICKY) ? true : false,
							'S_TOPIC_LOCKED'		=> ($row['topic_status'] == ITEM_LOCKED) ? true : false,
							'S_TOPIC_MOVED'			=> ($row['topic_status'] == ITEM_MOVED) ? true : false,

							'U_NEWEST_POST'			=> $view_topic_url . '&amp;view=unread#unread',
							'U_LAST_POST'			=> $view_topic_url . '&amp;p=' . $row['topic_last_post_id'] . '#p' . $row['topic_last_post_id'],
							'U_LAST_POST_AUTHOR'	=> get_username_string('profile', $row['topic_last_poster_id'], $row['topic_last_poster_name'], $row['topic_last_poster_colour']),
							'U_TOPIC_AUTHOR'		=> get_username_string('profile', $row['topic_poster'], $row['topic_first_poster_name'], $row['topic_first_poster_colour']),
							'U_VIEW_TOPIC'			=> $view_topic_url,
							'U_VIEW_FORUM'			=> append_sid("{$phpbb_root_path}viewforum.$phpEx", 'f=' . $row['forum_id']),
						));
						$post_number++;
					}
				}
				$db->sql_freeresult($result);
			}
		}
	}
}
?>