<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_statistics.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_statistics
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpEx;
		$this->tpl_name = 'alphaportal/' . $mode;
		
		// Set some stats, get posts count from forums data if we... hum... retrieve all forums data
		$total_posts	= $config['num_posts'];
		$total_topics	= $config['num_topics'];
		$total_users	= $config['num_users'];
		$newest_user	= $config['newest_username'];
		$newest_uid		= $config['newest_user_id'];
		
		$l_total_user_s = ($total_users == 0) ? 'TOTAL_USERS_ZERO' : 'TOTAL_USERS_OTHER';
		$l_total_post_s = ($total_posts == 0) ? 'TOTAL_POSTS_ZERO' : 'TOTAL_POSTS_OTHER';
		$l_total_topic_s = ($total_topics == 0) ? 'TOTAL_TOPICS_ZERO' : 'TOTAL_TOPICS_OTHER';
		
		// Assign index specific vars
		
		$template->assign_vars(array(
			'BLOCK_TOTAL_POSTS'				=> sprintf($user->lang[$l_total_post_s], $total_posts),
			'BLOCK_TOTAL_TOPICS'			=> sprintf($user->lang[$l_total_topic_s], $total_topics),
			'BLOCK_TOTAL_USERS'				=> sprintf($user->lang[$l_total_user_s], $total_users),
			'BLOCK_NEWEST_USER'				=> sprintf($user->lang['NEWEST_USER'], get_username_string('full', $config['newest_user_id'], $config['newest_username'], $config['newest_user_colour'])),
			'STATISTICS_MODE'				=> $mode,
		
			'U_MCP'					=> ($auth->acl_get('m_') || $auth->acl_getf_global('m_')) ? append_sid("{$phpbb_root_path}mcp.$phpEx", 'i=main&amp;mode=front', true, $user->session_id) : '',
			)
		);
	}
}
?>