<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_user_info.php 41 2008-08-03 23:05:42Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_user_info
{
	var $u_action;
	var $new_config;
	function module_data($mode, $id)
	{
		global $user, $template, $phpbb_root_path, $phpEx, $db, $config, $cache, $auth;
		if ($mode == 'login_logout')
		{
			$user->add_lang('ap/user_info');

			$sql = 'SELECT *
				FROM ' . USERS_TABLE . '
				WHERE user_id = ' . $user->data['user_id'];
			$result = $db->sql_query($sql);
			$row = $db->sql_fetchrow($result);
			$db->sql_freeresult($result);

			include_once($phpbb_root_path . 'includes/functions_display.' . $phpEx);

			// Grab ranks
			$ranks = $cache->obtain_ranks();
			get_user_rank($user->data['user_rank'], $user->data['user_posts'], $rank['title'], $rank['image'], $rank['image_src']);

			$template->assign_vars(array(
				'BLOCK_AVATAR'				=> get_user_avatar($user->data['user_avatar'], $user->data['user_avatar_type'], $user->data['user_avatar_width'], $user->data['user_avatar_height']),
				'BLOCK_WARNINGS'			=> sprintf($user->lang['WARNING_COUNT'], $user->data['user_warnings']),
				'BLOCK_WARNING_COUNT'		=> $user->data['user_warnings'],
				'BLOCK_RANK_TITLE'			=> $rank['title'],
				'BLOCK_RANK_IMG'			=> $rank['image'],
				'BLOCK_RANK_IMG_SRC'		=> $rank['image_src'],
				'S_USERNAME_FULL'			=> get_username_string('full', $user->data['user_id'], $user->data['username'], $user->data['user_colour']),
				'S_LOGIN_BLOCK'				=> append_sid("{$phpbb_root_path}ucp.$phpEx", 'mode=login'),
				'S_HIDDEN_FIELDS'			=> build_hidden_fields(array('redirect'	=> $user->page['page'])),
			));
		}
		else if ($mode == 'blog_user_info')
		{
			$user->add_lang('ap/user_info');
			$user_id = request_var('u', $user->data['user_id']);

			$sql = 'SELECT *
				FROM ' . USERS_TABLE . '
				WHERE user_id = ' . $user_id;
			$result = $db->sql_query($sql);
			$row = $db->sql_fetchrow($result);
			$db->sql_freeresult($result);

			include_once($phpbb_root_path . 'includes/functions_display.' . $phpEx);

			// Grab ranks
			$ranks = $cache->obtain_ranks();
			get_user_rank($row['user_rank'], $row['user_posts'], $rank['title'], $rank['image'], $rank['image_src']);

			$template->assign_vars(array(
				'B_AVATAR'					=> get_user_avatar($row['user_avatar'], $row['user_avatar_type'], $row['user_avatar_width'], $row['user_avatar_height']),
				'B_USERNAME_FULL'			=> get_username_string('full', $row['user_id'], $row['username'], $row['user_colour']),
				'B_USER_POSTS'				=> $row['user_posts'],
				'B_USER_BLOGS'				=> $row['user_blogs'],
				'B_RANK_TITLE'				=> $rank['title'],
				'B_RANK_IMG'				=> $rank['image'],
				'B_RANK_IMG_SRC'			=> $rank['image_src'],
				'B_USER_JOINED'				=> $user->format_date($row['user_regdate'], false, true),
				'B_USER_FROM'				=> ($row['user_from']) ? $row['user_from'] : '',
				'BU_PM'						=> ($config['allow_privmsg'] && $auth->acl_get('u_sendpm') && ($row['user_allow_pm'] || $auth->acl_gets('a_', 'm_') || $auth->acl_getf_global('m_'))) ? append_sid("{$phpbb_root_path}ucp.$phpEx", 'i=pm&amp;mode=compose&amp;u=' . $row['user_id']) : '',
				'BU_EMAIL'					=> ($row['user_allow_viewemail']) ? (($config['board_email_form'] && $config['email_enable']) ? append_sid("{$phpbb_root_path}memberlist.$phpEx", "mode=email&amp;u=$poster_id") : ((($config['board_hide_emails'] && !$auth->acl_get('a_email')) ? '' : 'mailto:' . $row['user_email']))) : '',
				'BU_WWW'					=> ($row['user_website']) ? $row['user_website'] : '',
				'BU_MSN'					=> ($row['user_msnm'] && $auth->acl_get('u_sendim')) ? append_sid("{$phpbb_root_path}memberlist.$phpEx", "mode=contact&amp;action=msnm&amp;u=$user_id") : '',
				'BU_ICQ'					=> ($row['user_icq']) ? 'http://www.icq.com/people/webmsg.php?to=' . $row['user_icq'] : '',
				'BU_YIM'					=> ($row['user_yim']) ? 'http://edit.yahoo.com/config/send_webmesg?.target=' . urlencode($row['user_yim']) . '&amp;.src=pg' : '',
				'BU_AIM'					=> ($row['user_aim'] && $auth->acl_get('u_sendim')) ? append_sid("{$phpbb_root_path}memberlist.$phpEx", "mode=contact&amp;action=aim&amp;u=$user_id") : '',
				'BU_JABBER'					=> ($row['user_jabber'] && $auth->acl_get('u_sendim')) ? append_sid("{$phpbb_root_path}memberlist.$phpEx", "mode=contact&amp;action=jabber&amp;u=$user_id") : '',

				'U_USER_INFO'				=> append_sid($phpbb_root_path . 'memberlist.' . $phpEx, 'mode=viewprofile&u=' . $user_id),
				'U_VIEW_USER_BLOG'			=> append_sid($phpbb_root_path . 'blog.' . $phpEx, 'u=' . $user_id),
			));
		}
	}
}
?>