<?php
/** 
*
* acp_alpha_modules [English]
*
* @package language
* @version $Id: alpha_blog.php 39 2008-08-03 22:51:25Z harmlessgoat22 $
* @copyright (c) 2007 phpALPHA Team - Based on acp_modules by 2005 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'BLOG'									=> 'Blog',
	'BLOGS'									=> 'Blogs',
	'LABEL'									=> 'Label',
	'LABELS'								=> 'Labels',
	'NO_BLOG_POSTS'							=> 'No blog posts',
	'NO_LABELS'								=> 'No labels',

	'YOU_VOTED'								=> 'You gave this blog %s stars',

	'LABELS_EXPLAIN'						=> 'Separate each label name you wish to add with a comma and a space (, ).', 

	// Actions
	'POSTING_BLOG'							=> 'Posting new blog',
	'EDITTING_BLOG'							=> 'Editting blog',
	'VIEWING_BLOG'							=> 'Viewing blog',
	'VIEWING_BLOG_POST'						=> 'Viewing blog post',
	'VIEWING_ALL_BLOGS'						=> 'Viewing all your blog posts',
	'VIEWING_LABEL'							=> 'Viewing a label',
	'VIEWING_ALL_LABELS'					=> 'Viewing all your labels',

	'CONFIRM_DELETE_BLOG'					=> 'Are you sure you want to delete this blog post?',
	'CONFIRM_DELETE_LABEL'					=> 'Are you sure you want to delete this label?',
	'CONFIRM_DELETE_BLOG_LABEL'				=> 'Are you sure you want to delete these blog posts/labels?',

	'POST_BLOG'								=> 'Post Blog',
	'ADD_LABELS'							=> 'Add labels',
	'EDIT_BLOG'								=> 'Edit Blog',
	'EDIT_LABEL'							=> 'Edit label',

	'PROPER_PERMISSIONS_POST_COMMENTS'		=> 'You don\'t have the proper permissions to post a comment.',
	'PROPER_PERMISSIONS_VIEW_BLOG'			=> 'You don\'t have the proper permissions to view this blog post.',
	'PROPER_PERMISSIONS_VIEW_LABEL'			=> 'You don\'t have the proper permissions to view this label.',
	'PROPER_PERMISSIONS_EDIT_BLOG'			=> 'You don\'t have the proper permissions to edit this blog post.',
	'PROPER_PERMISSIONS_EDIT_LABEL'			=> 'You don\'t have the proper permissions to edit this label.',
	'PROPER_PERMISSIONS_EDIT_COMMENTS'		=> 'You don\'t have the proper permissions to edit this comment.',
	'PROPER_PERMISSIONS_DELETE_BLOG'		=> 'You don\'t have the proper permissions to delete this blog post.',
	'PROPER_PERMISSIONS_DELETE_LABEL'		=> 'You don\'t have the proper permissions to delete this label.',
	'PROPER_PERMISSIONS_DELETE_BLOG_LABELS'	=> 'You don\'t have the proper permissions to delete this blog post.',
	'PROPER_PERMISSIONS_DELETE_COMMENTS'	=> 'You don\'t have the proper permissions to post a comment.',

	'RETURN_BLOG'							=> '%sReturn to blog%s',
	'RETURN_NO_DELETE_BLOG'					=> "You have chosen not to delete this blog post.<br /><br />",
	'RETURN_NO_DELETE_LABEL'				=> "You have chosen not to delete this label.<br /><br />",
	'RETURN_NO_DELETE_BLOG_LABEL'			=> "You have chosen not to delete these blog posts/labels.<br /><br />",

	'SUCCESSFUL_NEW_BLOG'					=> "You have successfully posted a blog.<br /><br />",
	'SUCCESSFUL_NEW_LABEL'					=> "You have successfully created a label.<br /><br />",
	'SUCCESSFUL_NEW_COMMENT'				=> "You have successfully posted a comment.<br /><br />",
	'SUCCESSFUL_DELETE_BLOG'				=> "You have successfully deleted this blog post.<br /><br />",
	'SUCCESSFUL_DELETE_LABEL'				=> "You have successfully deleted this label.<br /><br />",
	'SUCCESSFUL_DELETE_COMMENT'				=> "You have successfully deleted this comment.<br /><br />",
	'SUCCESSFUL_DELETE_BLOG_LABEL'			=> "You have successfully deleted these blog posts/labels.<br /><br />",
	'SUCCESSFUL_EDIT_BLOG'					=> "You have successfully editted this blog post.<br /><br />",
	'SUCCESSFUL_EDIT_LABEL'					=> "You have successfully editted this label.<br /><br />",
	'SUCCESSFUL_EDIT_COMMENT'				=> "You have successfully editted this comment.<br /><br />",
));

?>