<?php
/**
*
* @package alphaPORTAL
* @version $Id: alpha_settings.php 21 2008-07-28 18:22:48Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'VIEW'					=> 'View',

	'SIDE_INDEX'					=> 'Board Index',
	'SIDE_PORTAL'					=> 'Portal',
	'SIDE_PAGE'						=> 'Custom Page',
	'SIDE_BLOG'						=> 'Blog',
	'SIDE_PAGES'					=> 'Custom Pages',
	'SIDE_VIEW_FORUM'				=> 'View Forum',
	'SIDE_VIEW_TOPIC'				=> 'View Topic',
	'SIDE_FAQ'						=> 'FAQ',
	'SIDE_SEARCH'					=> 'Search',
	'SIDE_VIEW_ONLINE'				=> 'View Online',
	'SIDE_MEMBERLIST'				=> 'Memberlist',

	'SETTINGS_PAGE'						=> 'Page',
	'SETTINGS_CUSTOM_PAGE'				=> 'Custom Page',
	'SETTINGS_BOTH'						=> 'Both',
	'SETTINGS_LEFT'						=> 'Left',
	'SETTINGS_RIGHT'					=> 'Right',
	'SETTINGS_NONE'						=> 'None',
	'SETTINGS_PAGE_ID'					=> 'Page id',
	'SETTINGS_TITLE'					=> 'Page Title',
	'SETTINGS_PAGE_EXPLAIN'				=> 'The filename for the page, minus the \'.php\' (eg index.php -> index)',
	'SETTINGS_PAGE_ID_EXPLAIN'			=> 'If you are setting the number of sidebars for a custom page, use this field with its page id. If you do not set otherwise for a custom page, it will use the default for \'pages\'',
	'SETTINGS_CANNOT_DELETE'			=> 'You cannot delete this page configuration because it is a defaulted and needed.',
	'SETTINGS_SUCCESSFUL_DELETE'		=> 'You have successfully deleted this page.',
	'SETTINGS_SUCCESSFUL_UPDATE'		=> 'You have successfully updated these page\'s sidebar count.',
	'SETTINGS_SUCCESSFUL_CREATE'		=> 'You have successfully create the page \'%1$s\' at the address \'%2$s.php%3$s\'.',
	'SETTINGS_SUCCESSFUL_EDIT'			=> 'You have successfully editted the page \'%1$s\' at the address \'%2$s.php%3$s\'.',
	'SETTINGS_SIDEBAR_COUNT'			=> 'Sidebars',
	'SETTINGS_CREATE_PAGE'				=> 'Create page',
	'SETTINGS_UPDATE_PAGE'				=> 'Update page',
	
	'SETTINGS_ALPHA_PORTAL_ENABLED'		=> 'Enable alphaPORTAL?',
	'SETTINGS_ALPHA_BLOG_ENABLED'		=> 'Enable blogs?',
	'SETTINGS_DEFAULT_PAGE_TEMPLATE'	=> 'Default page template?',
	'SETTINGS_DEFAULT_PORTAL'			=> 'Default to portal.php?',
	'SETTINGS_DEFAULT_PORTAL_EXPLAIN'	=> 'Do you want yoursite.com/path/ to redirect to yoursite.com/path/portal.php instead of index.php?',
	'SETTINGS_HIGHLIGHT_AUTHOR'			=> 'Highlight blog author\'s comments?',
	'SETTINGS_UPDATE_SETTINGS'			=> 'Update settings',
	'SETTINGS_SUCCESSFUL_SETTINGS'		=> 'You have successfully updated the settings for alphaPORTAL.',
));

?>