<?php
/**
*
* @package alphaPORTAL
* @version $Id: permissions_alpha.php 11 2008-07-17 17:31:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

// Adding new category
$lang['permission_cat']['alpha'] = 'AlphaPORTAL';

// Adding the permissions
$lang = array_merge($lang, array(
	'acl_a_manage_alpha_modules'			=> array('lang' => 'Can manage sidebar modules', 'cat' => 'alpha'),
	'acl_a_manage_alpha_settings'			=> array('lang' => 'Can edit alphaPORTAL settings', 'cat' => 'alpha'),
	'acl_a_manage_alpha_auth'				=> array('lang' => 'Can manage permissions', 'cat' => 'alpha'),
	'acl_m_alpha_blog_edit'					=> array('lang' => 'Can edit blog posts', 'cat' => 'alpha'),
	'acl_m_alpha_blog_delete'				=> array('lang' => 'Can delete blog posts', 'cat' => 'alpha'),
	'acl_m_alpha_blog_labels_edit'			=> array('lang' => 'Can edit labels', 'cat' => 'alpha'),
	'acl_m_alpha_blog_labels_delete'		=> array('lang' => 'Can delete labels', 'cat' => 'alpha'),
	'acl_m_alpha_blog_comments_edit'		=> array('lang' => 'Can edit comments', 'cat' => 'alpha'),
	'acl_m_alpha_blog_comments_delete'		=> array('lang' => 'Can delete comments', 'cat' => 'alpha'),
	'acl_u_alpha_blog_post'					=> array('lang' => 'Can post blogs', 'cat' => 'alpha'),
	'acl_u_alpha_blog_read'					=> array('lang' => 'Can read blogs', 'cat' => 'alpha'),
	'acl_u_alpha_blog_delete'				=> array('lang' => 'Can delete blogs', 'cat' => 'alpha'),
	'acl_u_alpha_blog_edit'					=> array('lang' => 'Can edit blogs', 'cat' => 'alpha'),
	'acl_u_alpha_blog_bbcode'				=> array('lang' => 'Can use bbcode in blogs', 'cat' => 'alpha'),
	'acl_u_alpha_blog_smilies'				=> array('lang' => 'Can use smilies in blogs', 'cat' => 'alpha'),
	'acl_u_alpha_blog_vote'					=> array('lang' => 'Can vote in blogs', 'cat' => 'alpha'),
	'acl_u_alpha_blog_comments_post'		=> array('lang' => 'Can post comments', 'cat' => 'alpha'),
	'acl_u_alpha_blog_comments_edit'		=> array('lang' => 'Can edit comments', 'cat' => 'alpha'),
	'acl_u_alpha_blog_comments_delete'		=> array('lang' => 'Can delete comments', 'cat' => 'alpha'),
	'acl_u_alpha_blog_comments_delete_own'	=> array('lang' => 'Can delete comments in own blog posts', 'cat' => 'alpha'),
	'acl_u_alpha_blog_labels'				=> array('lang' => 'Can use labels', 'cat' => 'alpha'),
	'acl_u_alpha_blog_labels_delete'		=> array('lang' => 'Can delete labels', 'cat' => 'alpha'),
));
?>