<?php
/**
*
* @package alphaPORTAL
* @version $Id: sidebars.php 47 2008-08-06 23:24:21Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* Ignore
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* What this page does...hmm, well, it's basically the common.php of alphaPORTAL - in fact, it's included in common.php, so, essentially on every page.
* This bad boy gets the sidebars rolling, gets modules displaying, and even creates some template vars for links.
*/

$user->add_lang('mods/alpha');
if ($user->data['is_bot'])
{
	// Don't display alphaPORTAL to those lazy bots...they don't deserve it!
	$alphaportal_enabled = false;
}
else
{
	$alphaportal_enabled = (isset($config['alphaportal_enabled'])) ? $config['alphaportal_enabled'] : 0;
}
$alphaportal_blog_enabled = (isset($config['alphaportal_blog_enabled'])) ? $config['alphaportal_blog_enabled'] : 0;

if (!defined('IN_ALPHA_INSTALL') && $alphaportal_enabled && !class_exists('ucp_register'))
{
	global $cache;

	// Redirect to portal if there is no filename listed (just directory) if the setting in the ACP says to
	if(($_SERVER['REQUEST_URI'] == $config['script_path'] . '/') || ($_SERVER['REQUEST_URI'] == $config['script_path'] . '') && $config['alphaportal_default_portal'] && !$user->data['is_bot'])
	{
		header("Location: {$phpbb_root_path}portal.$phpEx");  
	}

	/**
	* Finds out what page user is on for getting sidebar numbers, and then gets the needed modules setup later.
	*/
	preg_match('#^([a-z/]+)#i', $user->page['page'], $on_page);
	$page_id = false;
	if ($on_page[1] == 'pages')
	{
		$page_id = request_var('p', 0);
	}
	$sidebar_info = $cache->get('alpha_sidebars');

	if ($page_id <> false && !isset($sidebar_info[$on_page[1]][$page_id]))
	{
		$sql = 'SELECT number
			FROM ' . ALPHA_SIDEBARS_TABLE . "
			WHERE page_id = $page_id";
		$result = $db->sql_query($sql);
		$row = $db->sql_fetchrow($result);
		$db->sql_freeresult($result);
		if (!isset($row['number']))
		{
			$page_id == false;
		}
		else
		{
			$sidebar_info[$on_page[1]][$page_id] = $row['number'];
			$cache->put('alpha_sidebars', $sidebar_info);
		}
	}
	else if (isset($sidebar_info[$on_page[1]][$page_id]))
	{
		$row['number'] = $sidebar_info[$on_page[1]][$page_id];
	}

	if ($page_id == false && !isset($sidebar_info[$on_page[1]]))
	{
		$sql = 'SELECT number
			FROM ' . ALPHA_SIDEBARS_TABLE . "
			WHERE page = '{$on_page[1]}'";
		$result = $db->sql_query($sql);
		$row = $db->sql_fetchrow($result);
		$db->sql_freeresult($result);
		$sidebar_info[$on_page[1]] = $row['number'];
		$cache->put('alpha_sidebars', $sidebar_info);
	}
	else if ($page_id == false && isset($sidebar_info[$on_page[1]]))
	{
		$row['number'] = $sidebar_info[$on_page[1]];
	}

	if (!isset($row['number']))
	{
		$sidebar_case = 3;
	}
	else
	{
		$sidebar_case = $row['number'];
	}

	include("{$phpbb_root_path}adm/mods/alphaportal_version.$phpEx");
	$alpha_version_class = new alphaportal_version;
	$alpha_version = $alpha_version_class->version();

	$template->assign_vars(array(
		'U_PORTAL'				=> append_sid("{$phpbb_root_path}portal.$phpEx"),
		'U_BLOG'				=> append_sid("{$phpbb_root_path}blog.$phpEx"),
		'U_MCP'					=> ($auth->acl_get('m_') || $auth->acl_getf_global('m_')) ? append_sid("{$phpbb_root_path}mcp.$phpEx", 'i=main&amp;mode=front', true, $user->session_id) : '',
		'S_ALPHA_ENABLED'		=> ($config['alphaportal_enabled'] == 1) ? true : false,
		'S_ALPHA_BLOG_ENABLED'	=> ($config['alphaportal_blog_enabled'] == 1) ? true : false,
		'ALPHA_VERSION'			=> $alpha_version['version'],
	));
	unset($alpha_version_class);

	/**
	* Uses the function defined in /includes/functions_alpha.php to get the modules ready. It looks long, and has lots of 'if's and 'elseif's, but it's really pretty simple
	*/
	$left_results = 0;
	$right_results = 0;
	$combined_results = 0;
	if (!defined('IN_ALPHA_INSTALL') && !defined('IN_INSTALL') && !defined('ADMIN_START') && !defined('IN_LOGIN') && !defined('MODULES_INCLUDED') && defined('HEADER_INC') && $on_page[1] <> 'blog')
	{
		if ($sidebar_case == 3)
		{
			$left_results = include_sidebar('left');
			$right_results = include_sidebar('right');
		}
		else if ($sidebar_case == 2 || $sidebar_case == 1)
		{
			$combined_results = include_sidebar('combined');
		}

		if ($on_page[1] == 'index')
		{
			include_sidebar('index');
		}
		else if ($on_page[1] == 'portal')
		{
			include_sidebar('portal');
		}
		define('MODULES_INCLUDED', true);
	}
	else if ($on_page[1] == 'blog')
	{
		if ($sidebar_case == 3)
		{
			$left_results = include_sidebar('blog_sidebar');;
			$right_results = include_sidebar('combined');
		}
		else if ($sidebar_case == 2 || $sidebar_case == 1)
		{
			$combined_results = include_sidebar('blog_sidebar');
		}
		define('MODULES_INCLUDED', true);
	}

	if ($user->data['is_bot'])
	{
		$template->assign_var('NO_SIDEBARS', true);
	}
	else
	{
		switch ($sidebar_case)
		{
			case 3:
				if ($left_results == true && $right_results == true)
				{
					$template->assign_var('TWO_SIDEBARS', true);
				}
				else if ($left_results == true)
				{
					$template->assign_var('LEFT_SIDEBAR', true);
				}
				else if ($right_results == true)
				{
					$template->assign_var('RIGHT_SIDEBAR', true);
				}
				else
				{
					$template->assign_var('NO_SIDEBARS', true);
				}
			break;
	
			case 2:
				if ($combined_results == true)
				{
					$template->assign_var('LEFT_COMBINED_SIDEBAR', true);
				}
				else
				{
					$template->assign_var('NO_SIDEBARS', true);
				}
			break;
	
			case 1:
				if ($combined_results == true)
				{
					$template->assign_var('RIGHT_COMBINED_SIDEBAR', true);
				}
				else
				{
					$template->assign_var('NO_SIDEBARS', true);
				}
			break;
	
			case 0:
				$template->assign_var('NO_SIDEBARS', true);
			break;
		}
	}
}

?>