<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_downloads.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_downloads_info
{
	function module()
	{
		return array(
			'filename'		=> 'ap_downloads',
			'title'			=> 'AP_DOWNLOADS',
			'version'		=> '1.0.0',
			'modes'			=> array(
				'downloads'		=> array('title' => 'AP_DOWNLOADS', 'auth' => 'acl_a_board', 'cat' => array('ACP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/downloads', 'edit_tpl' => 'acp_alpha_modules_downloads.html'),
			),
		);
	}

	function install($module_id)
	{
		set_module_config($module_id, 'recent', 1);
		set_module_config($module_id, 'topic', 0);
	}

	function uninstall()
	{
		$module_id = request_var('m', 0);
		delete_module_config($module_id);
	}

	function edit($mode, $submit = false)
	{
		global $template, $module_config;
		$module_id = request_var('m', 0);
		if ($submit)
		{
			$downloads_recent = request_var('downloads_recent', '');
			$downloads_id = request_var('downloads_id', '');
			set_module_config($module_id, 'recent', $downloads_recent);
			set_module_config($module_id, 'topic', $downloads_id);
		}
		else
		{	
			$template->assign_vars(array(
				'S_DOWNLOADS_RECENT' 	=> ($module_config['recent' . $module_id] == 1) ? true : false,
				'DOWNLOADS_TOPIC' 		=> $module_config['topic' . $module_id],
			));
		}
	}
}

?>