<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_links.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_links_info
{
	function module()
	{
		return array(
			'filename'		=> 'ap_links',
			'title'			=> 'AP_LINKS',
			'version'		=> '1.0.0',
			'modes'			=> array(
				'links'		=> array('title' => 'AP_LINKS', 'auth' => 'acl_a_board', 'cat' => array('AP_GENERAL_ALPHAPORTAL'), 'edit_tpl' => 'acp_alpha_modules_links.html'),
			),
		);
	}

	function install($module_id)
	{
		global $module_data;
		set_module_config($module_id, 'display_text', 'alphaPORTAL');
		set_module_config($module_id, 'links', 'http://alphaportal.net/');
	}

	function uninstall()
	{
		$module_id = request_var('m', 0);
		delete_module_config($module_id);
	}

	function edit($mode, $submit = false)
	{
		global $template, $module_config;
		$module_id = request_var('m', 0);
		if ($submit)
		{
			$display_text = request_var('display_text', '');
			$link = request_var('links', '');
			set_module_config($module_id, 'display_text', $display_text);
			set_module_config($module_id, 'links', $link);
		}
		else
		{
			$template->assign_vars(array(
				strtoupper($mode)	 			=> $module_config['links' . $module_id],
				'DISPLAY_TEXT'		 			=> $module_config['display_text' . $module_id],
			));
		}
	}
}

?>