<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_poll.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_poll_info
{
	function module()
	{
		return array(
			'filename'		=> 'ap_poll',
			'title'			=> 'AP_POLL',
			'version'		=> '1.0.0',
			'modes'			=> array(
				'poll'		=> array('title' => 'AP_POLL', 'auth' => 'acl_a_board', 'cat' => array('ACP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/poll', 'edit_tpl' => 'acp_alpha_modules_poll.html'),
			),
		);
	}

	function install($module_id)
	{
		set_module_config($module_id, 'poll', 0);
	}

	function uninstall()
	{
		$module_id = request_var('m', 0);
		delete_module_config($module_id);
	}

	function edit($mode, $submit = false)
	{
		global $template, $module_config;
		$module_id = request_var('m', 0);
		if ($submit)
		{
			$poll_id = request_var('poll_id', '');
			set_module_config($module_id, 'poll', $poll_id);
		}
		else
		{	
			$template->assign_vars(array(
				'POLL_ID'	 		=> $module_config['poll' . $module_id],
			));
		}
	}
}

?>