<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_portal.php 27 2008-07-30 20:00:08Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_portal_info
{
	function module()
	{
		return array(
			'filename'		=> 'ap_portal',
			'title'			=> 'AP_PORTAL',
			'version'		=> '1.0.0',
			'modes'			=> array(
				'portal'		=> array('title' => 'AP_PORTAL', 'auth' => 'acl_a_board', 'cat' => array('ACP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/portal', 'edit_tpl' => 'acp_alpha_modules_portal.html'),
				'blogs'		=> array('title' => 'AP_BLOG', 'auth' => 'acl_a_board', 'cat' => array('ACP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/blog', 'edit_tpl' => 'acp_alpha_modules_recent_blogs.html')
			),
		);
	}

	function install($module_id)
	{
		$action = request_var('action', '');
		if ($action == 'quickadd')
		{
			list($module_basename, $module_mode) = explode('::', request_var('quick_install', ''));
		}
		else if ($action == 'add')
		{
			$module_mode = request_var('module_mode', '');
		}

		if ($module_mode == 'portal')
		{
			portal_update($module_id);
		}
		else
		{
			set_module_config($module_id, 'number', 5);
			set_module_config($module_id, 'type', 0);
			set_module_config($module_id, 'user', 0);
			set_module_config($module_id, 'label', 0);
		}
	}
	function uninstall()
	{
		portal_update(request_var('m', 0), 'delete');
	}
	function edit($mode, $submit = false)
	{
		global $template, $module_config, $db;
		$module_id = request_var('m', 0);
		if ($mode == 'portal')
		{
			if ($submit)
			{
				$forum_ids = explode(',', str_replace(' ', '', request_var('forum_ids', '', true)));
				$topic_ids = explode(',', str_replace(' ', '', request_var('topic_ids', '', true)));
				$limit = request_var('limit', 0, true);
				$charlimit = request_var('charlimit', 0, true);
				$first_post = request_var('first_post', 0, true);
				$signature = request_var('signature', 0, true);
				$user_info = request_var('user_info', 0, true);
				$info_order = request_var('info_order', 0, true);
				portal_update($module_id, 'update', $forum_ids, $topic_ids, $limit, $charlimit, $signature, $first_post, $user_info, $info_order);
			}
			else
			{
				$sql = 'SELECT *
					FROM ' . ALPHA_PORTAL_TABLE . '
					WHERE module_id = ' . $module_id;
				$result = $db->sql_query($sql);
				$row = $db->sql_fetchrow($result);
				$db->sql_freeresult($result);
				$forum_ids = unserialize($row['forum_ids']);
				$forums = '';
				foreach ($forum_ids as $forum_id)
				{
					if ($forums <> '')
					{
						$forums .= ', ';
					}
					$forums .= $forum_id;
				}
				$topic_ids = unserialize($row['topic_ids']);
				$topics = '';
				foreach ($topic_ids as $topic_id)
				{
					if ($topics <> '')
					{
						$topics .= ', ';
					}
					$topics .= $topic_id;
				}
	
				$template->assign_vars(array(
					'FORUM_IDS'			=> $forums,
					'TOPIC_IDS'			=> $topics,
					'LIMIT'				=> $row['post_limit'],
					'CHARLIMIT'			=> $row['charlimit'],
					'FIRST_POST'		=> $row['first_post'],
					'SIGNATURE'			=> $row['signature'],
					'USER_INFO'			=> $row['user_info'],
					'INFO_ORDER'		=> $row['info_order'],
				));
			}
		}
		else
		{
			if ($submit)
			{
				$number = request_var('number', 0);
				$type = request_var('type', 0);
				$is_user = request_var('user', 0);
				$is_label = request_var('label', 0);
				set_module_config($module_id, 'number', $number);
				set_module_config($module_id, 'type', $type);
				set_module_config($module_id, 'user', $is_user);
				set_module_config($module_id, 'label', $is_label);
			}
			else
			{
				$template->assign_vars(array(
					'TYPE'	 			=> $module_config['type' . $module_id],
					'NUMBER'	 		=> $module_config['number' . $module_id],
					'USER'	 			=> $module_config['user' . $module_id],
					'LABEL'	 			=> $module_config['label' . $module_id],
				));
			}
		}
	}
}

?>