<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_recent_posts.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_recent_posts_info
{
	function module()
	{
		return array(
			'filename'		=> 'ap_recent_posts',
			'title'			=> 'AP_RECENT_POSTS',
			'version'		=> '1.0.0',
			'modes'			=> array(
				'recent_topics'				=> array('title' => 'AP_RECENT_TOPICS', 'auth' => 'acl_a_board', 'cat' => array('AP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/recent_posts', 'edit_tpl' => 'acp_alpha_modules_recent_posts.html'),
				'recent_announce'			=> array('title' => 'AP_RECENT_ANNOUNCE', 'auth' => 'acl_a_board', 'cat' => array('AP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/recent_posts', 'edit_tpl' => 'acp_alpha_modules_recent_posts.html'),
				'recent_hot'				=> array('title' => 'AP_RECENT_HOT', 'auth' => 'acl_a_board', 'cat' => array('AP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/recent_posts', 'edit_tpl' => 'acp_alpha_modules_recent_posts.html'),
				'recent_blogs'				=> array('title' => 'AP_RECENT_BLOGS', 'auth' => 'acl_a_board', 'cat' => array('AP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/recent_blogs', 'edit_tpl' => 'acp_alpha_modules_recent_blogs.html'),
			),
		);
	}

	function install($module_id)
	{
		$action = request_var('action', '');
		if ($action == 'quickadd')
		{
			list($module_basename, $module_mode) = explode('::', request_var('quick_install', ''));
		}
		else if ($action == 'add')
		{
			$module_mode = request_var('module_mode', '');
		}

		set_module_config($module_id, 'number', 5);
		if ($module_mode == 'recent_blogs')
		{
			set_module_config($module_id, 'type', 0);
			set_module_config($module_id, 'user', 0);
			set_module_config($module_id, 'label', 0);
		}
		else
		{
			set_module_config($module_id, 'forum', 0);
			set_module_config($module_id, 'style', 1);
			set_module_config($module_id, 'extra', 0);
		}
	}

	function uninstall()
	{
		$module_id = request_var('m', 0);
		delete_module_config($module_id);
	}

	function edit($mode, $submit = false)
	{
		global $template, $module_config;
		$module_id = request_var('m', 0);
		if ($mode == 'recent_blogs')
		{
			if ($submit)
			{
				$number = request_var('number', 0);
				$type = request_var('type', 0);
				$is_user = request_var('user', 0);
				$is_label = request_var('label', 0);
				set_module_config($module_id, 'number', $number);
				set_module_config($module_id, 'type', $type);
				set_module_config($module_id, 'user', $is_user);
				set_module_config($module_id, 'label', $is_label);
			}
			else
			{
				$template->assign_vars(array(
					'TYPE'	 			=> $module_config['type' . $module_id],
					'NUMBER'	 		=> $module_config['number' . $module_id],
					'USER'	 			=> $module_config['user' . $module_id],
					'LABEL'	 			=> $module_config['label' . $module_id],
				));
			}
		}
		else
		{
			if ($submit)
			{
				$id = request_var('id', 0);
				$number = request_var('number', 0);
				$style = request_var('style', 0);
				$extra = request_var('extra', 0);
				set_module_config($module_id, 'forum', $id);
				set_module_config($module_id, 'number', $number);
				set_module_config($module_id, 'style', $style);
				set_module_config($module_id, 'extra', $extra);
			}
			else
			{
				$template->assign_vars(array(
					'ID'	 			=> $module_config['forum' . $module_id],
					'NUMBER'	 		=> $module_config['number' . $module_id],
					'STYLE'	 			=> $module_config['style' . $module_id],
					'EXTRA'	 			=> $module_config['extra' . $module_id],
				));
			}
		}
	}
}

?>