<?php
/**
*
* @package alphaPORTAL
* @version $Id: ap_top_posters.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package alphaPORTAL
*/

class ap_top_posters_info
{
	function module()
	{
		return array(
			'filename'		=> 'ap_top_posters',
			'title'			=> 'AP_TOP_POSTERS',
			'version'		=> '1.0.0',
			'modes'			=> array(
				'top_posters'		=> array('title' => 'AP_TOP_POSTERS', 'auth' => 'acl_a_board', 'cat' => array('ACP_GENERAL_ALPHAPORTAL'), 'tpl' => 'alphaportal/top_posters', 'edit_tpl' => 'acp_alpha_modules_top_posters.html'),
			),
		);
	}

	function install($module_id)
	{
		set_module_config($module_id, 'top_posters', 10);
	}

	function uninstall()
	{
		$module_id = request_var('m', 0);
		delete_module_config($module_id);
	}

	function edit($mode, $submit = false)
	{
		global $template, $module_config;
		$module_id = request_var('m', 0);
		if ($submit)
		{
			$number = request_var('top_posters_number', '');
			set_module_config($module_id, 'top_posters', $number);
		}
		else
		{	
			$template->assign_vars(array(
				'TOP_POSTERS_NUMBER' 		=> $module_config['top_posters' . $module_id],
			));
		}
	}
}

?>