<?php
/**
*
* @package ucp
* @version $Id: ucp_alpha_blog.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @package module_install
*/
class ucp_alpha_blog_info
{
	function module()
	{
		return array(
			'filename'	=> 'ucp_alpha_blog',
			'title'		=> 'UCP_ALPHA_BLOG',
			'version'	=> '1.0.0',
			'modes'		=> array(
				'posting'			=> array('title' => 'UCP_ALPHA_BLOG_POST', 'auth' => 'acl_u_alpha_blog_post', 'cat' => array('UCP_MAIN')),
				'view_post'			=> array('title' => 'UCP_ALPHA_BLOG_VIEW_POST', 'auth' => 'acl_u_alpha_blog_post', 'cat' => array('UCP_MAIN')),
				'view_all'			=> array('title' => 'UCP_ALPHA_BLOG_VIEW_ALL', 'auth' => 'acl_u_alpha_blog_post', 'cat' => array('UCP_MAIN')),
				'labels'			=> array('title' => 'UCP_ALPHA_BLOG_LABELS', 'auth' => 'acl_u_alpha_blog_labels', 'cat' => array('UCP_MAIN')),
			),
		);
	}

	function install()
	{
	}

	function uninstall()
	{
	}
}

?>