<?php
/**
*
* @package alphaPORTAL
* @version $Id: info_acp_alpha.php 4 2008-07-16 01:28:54Z harmlessgoat22 $
* @copyright (c) 2008 phpALPHA Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'IMG_BUTTON_NEW_BLOG'				=> 'New blog',
	'IMG_BUTTON_NEW_LABEL'				=> 'New label',
	'IMG_BUTTON_NEW_COMMENT'			=> 'New comment',
	'IMG_ICON_RATING_ONE'				=> 'One star',
	'IMG_ICON_RATING_TWO'				=> 'Two stars',
	'IMG_ICON_RATING_THREE'				=> 'Three stars',
	'IMG_ICON_RATING_FOUR'				=> 'Four stars',
	'IMG_ICON_RATING_FIVE'				=> 'Five stars',
// AlphaPORTAL
	'ACP_ALPHA'								=> 'AlphaPORTAL',
	'ACP_ALPHA_PAGES'						=> 'AlphaPORTAL Custom Pages',
	'ACP_ALPHA_MODULES_SIDEBARS'			=> 'AlphaPORTAL Modules and Sidebars',
	'ACP_ALPHA_CUSTOM_PAGES'				=> 'Custom Pages',
	'ACP_ALPHA_CUSTOM_PAGES_PERMISSIONS'	=> 'Pages Permissions',
	'ACP_ALPHA_MODULES'						=> 'Modules',
	'ACP_ALPHA_MODULE_MANAGEMENT'			=> 'Module Management',
	'ACP_ALPHA_PORTAL'						=> 'Portal',
	'ACP_ALPHA_AUTH'						=> 'Permissions',
	'ACP_ALPHA_SIDEBARS'					=> 'Sidebars',
	'ACP_CAT_ALPHAPORTAL'					=> 'AlphaPORTAL',
	'ACP_GENERAL_ALPHAPORTAL'				=> 'AlphaPORTAL',
	'ACP_ALPHA_SETTINGS'					=> 'Settings',
	'LOG_PAGE_NEW'							=> '<strong>Page created</strong><br /> %s',
	'LOG_PAGE_EDIT'							=> '<strong>Page updated</strong><br /> %s',
	'LOG_PAGE_DELETE'						=> '<strong>Page deleted</strong><br /> %s',
	'LOG_PORTAL_UPDATE'						=> '<strong>Portal config updated</strong>',
	'LOG_SIDEBAR_DELETE'					=> '<strong>Sidebar page deleted</strong><br /> %s',
// END
	'ACP_POSTS_ANYWHERE'		=> 'Posts Anywhere',
	'CHARACTER_LIMIT'			=> 'Character limit',
	'CHARACTER_LIMIT_EXPLAIN'	=> 'Character limit per post displayed. All characters after this number will be cutoff with a link to view more',
	'CODE'						=> 'Code',
	'CODE_TO_INSERT'			=> 'Code to insert into any page to use this instance',
	'CREATE_OPTIONS_BELOW'		=> 'Use the form below to create options',
	'DELETE_OPTION'				=> 'Delete option',
	'FORUM_ID'					=> 'Forum ID',
	'FORUM_ID_EXPLAIN'			=> 'Insert a forum_id that you would like to get posts from. Post ID must be blank if you use this',
	'INSTANCE_DELETED'			=> 'Instance deleted',
	'INSTANCE_DESC'				=> 'Description',
	'INSTANCE_DESCRIPTION'		=> 'Description',
	'INSTANCE_DETAILS'			=> 'Details',
	'INSTANCE_ID'				=> 'ID',
	'INSTANCE_NAME'				=> 'Name',
	'INSTANCE_TEMPLATE'			=> 'Template',
	'INSTANCE_UPDATED'			=> 'Instance updated successfully',
	'NEW_INSTANCE'				=> 'New instance',
	'NEW_OPTION'				=> 'Create new option',
	'NO_INSTANCES'				=> 'Create an instance using the form below',
	'NO_OPTIONS_AVAILABLE'		=> 'No options available',
	'OPTION_CREATED'			=> 'Option created successfully',
	'OPTIONS_UPDATED'			=> 'Options updated successfully',
	'POST_ID'					=> 'Post ID',
	'POST_ID_EXPLAIN'			=> 'Use this if you want this option to display a single post only',
	'POST_LIMIT'				=> 'Post Limit',
	'POST_LIMIT_EXPLAIN'		=> 'Maximum number of posts per topic',
	'RECURSIVE'					=> 'Recursive',
	'RECURSIVE_EXPLAIN'			=> 'Select this option to also select all forums under the selected forum',
	'SINGLE_POST_TOPIC'			=> 'Single post',
	'SINGLE_POST_TOPIC_EXPLAIN'	=> 'If youve selected 1 post per topic, you can specify here if you want first (1) or last (0) post only',
	'VIEW_CODE'					=> 'View code for this instance',

	// code
	'AFTER_ADD'					=> '#<br />#-----[ AFTER-ADD ]-----<br />#<br />',
	'ADD_HTML'					=> 'Now you just need to include a posts_anywhere template into the page where you want it to display<br />(note: the find is only an example, using index_body.html since it is used by index.php (see example above). Place it anywhere you want in the template to style it your own special way)<br />Also note, prosilver is used in this example, but it works the same way with all styles',
	'BEFORE_ADD'				=> '#<br />#-----[ BEFORE-ADD ]-----<br />#<br />',
	'FIND'						=> '#<br />#-----[ FIND ]-----<br />#<br />',
	'FIND_HTML'					=> '&lt;!-- INCLUDE overall_footer.html --&gt;',
	'INSTANCE_INSTRUCTIONS'		=> 'Instance instructions',
	'OPEN'						=> '#<br />#-----[ OPEN ]-----<br />#<br />',
	'OPEN_HTML'					=> 'styles/prosilver/template/index_body.html',
	'OPEN_PHP'					=> 'index.php',
	'PLACE_INSTANCE'			=> 'To place this instance in a page, follow the instructions below.<br />For this example, well use index.php (i.e. you want to add latest posts to the index page)',
	'PHP_CODE'					=> 'posts_anywhere(%1$d);',
	'HTML_CODE'					=> '<!-- INCLUDE posts_anywhere/%1$s -->',

	'PHP_FIND'					=> '// Start session management<br />
$user->session_begin();<br />
$auth->acl($user->data);<br />
$user->setup(',
	'SELECT_ALL'				=> 'Select All',
));

?>